@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
}

/*
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}
*/

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.button-link {
    text-decoration: unset;
}

.pre {
    white-space:pre-wrap;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.navBar .dxbl-menu {
    background-color: var(--bs-primary) !important;
}

.navBar .dxbl-menu-item .dxbl-btn {
    border-radius: 5px 5px 0 0 !important;
}

.navBar .dxbl-menu-item .dxbl-btn:hover {
    background-color: lightblue !important;
    color: var(--bs-primary) !important;
}

.dxbl-menu.userMenu {
    background-color:transparent !important;
} 

.dxbl-menu .dxbl-menu-item-list > .dxbl-menu-list-item > .dxbl-menu-item > .dxbl-btn:not(.dxbl-disabled):not(:disabled):hover:not(.dxbl-selected):not(.dxbl-active)::before {
    opacity: 0 !important;
}

.pageHeading {
    font-size:130%;
    color:var(--bs-primary);
    font-weight:bold;
    border-bottom:1px solid var(--bs-primary);
    margin-top:15px;
}

.formGroup {
    padding-left: 1.5rem;
}
.formGroupHeading {
    color:var(--bs-primary);
    font-size:130%;
    width:100%;
    border-bottom:1px solid var(--bs-primary);
}
.formGroupContent {
    width: 100%;
    background-color: var(--bs-gray-200);
    padding-bottom: 1.5rem;
}

.dxbl-group {
    border:0;
}

.dxbl-group > .dxbl-group-header {
    color: var(--bs-primary);
    font-size: 130%;
    background-color: white;
    border-bottom: 1px solid var(--bs-primary);
}

.dxbl-group:not(.expanded):not([is-animating]) > .dxbl-group-header {
    border-bottom: 1px solid var(--bs-primary);
    border-radius: 0;
}

.dxbl-group > .dxbl-group-body {
    background-color: var(--bs-gray-200);
}

.dxbl-fl .dxbl-fl-item > .dxbl-fl-ctrl {
    padding: 0.25rem;
}

.paymentActive {
    background-color: var(--bs-gray-600);
}
.paymentInactive {
    background-color: var(--bs-gray-400);
}

.dxbl-tabs-tablist {
    background-color: lightblue !important;
    
}

.dxbl-tabs.dxbl-tabs-top > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl), .dxbl-tabs.dxbl-tabs-top > .dxbl-tabs-tablist > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl) {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}
.dxbl-tabs > .dxbl-tabs-tablist > .dxbl-scroll-viewer > .dxbl-scroll-viewer-content > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active, .dxbl-tabs > .dxbl-tabs-tablist > ul > li > .dxbl-tabs-item:not(.dxbl-tabs-tmpl):not(.dxbl-disabled):not(:disabled).dxbl-active {
    color: white;
    background-color: var(--bs-primary);
    border-color: lightblue;
}

.w-10 {
    width: 10% !important;
}
.w-15 {
    width: 15% !important;
}
.w-20 {
    width: 20% !important;
}
.w-30 {
    width: 30% !important;
}
.w-40 {
    width: 40% !important;
}

img.paymentMethod {
    max-width: 35px !important;
    max-height: 35px !important;
    padding-right: 5px;
}

/*ANFANG Popup CSS Classes*/
.popupInfoHeader:before {
    display: inline-block;
    content: ' ';
    background-image: url('../images/iconPopupInfo.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-right: 5px;
}

.popupSuccessHeader:before {
    display: inline-block;
    content: ' ';
    background-image: url('../images/iconPopupSuccess.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-right: 5px;
}

.popupWarningHeader:before {
    display: inline-block;
    content: ' ';
    background-image: url('../images/iconPopupWarning.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-right: 5px;
}

.popupErrorHeader:before {
    display: inline-block;
    content: ' ';
    background-image: url('../images/iconPopupError.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-right: 5px;
}

.popupQuestionHeader:before {
    display: inline-block;
    content: ' ';
    background-image: url('../images/iconPopupQuestion.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-right: 5px;
}

.memoPopup .dxbl-input-group {
    min-height: 300px !important;
}

.memoPopup textarea {
    min-height: 300px !important;
}

.popupHeaderTemplate {
    font-size: 1.3em;
    width: 100%;
    line-height: 30px;
    height: 40px;
    max-height: 40px;
    background-color: #f7f7f7;
    border-bottom: 1px solid #e5e5e5;
    padding: 5px 12px 5px 12px;
}

    .popupHeaderTemplate.alert {
        padding: 5px 12px 5px 12px !important;
    }

.dialogHeaderTemplate {
    font-size: 1.1em;
    width: 100%;
    line-height: 30px;
    height: 40px;
    max-height: 40px;
    background-color: #f7f7f7;
    border-bottom: 1px solid #e5e5e5;
    padding: 5px 12px 5px 12px;
}
/*ENDE Popup CSS Classes*/

/* Saferpay */

.saferPayContainer {

}
.saferPayContainer iframe {
    width:100% !important;
}

#saferPayPlaceholder {
    position:relative;
}

.saferPayOverlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    display: none;
}

#saferPayPlaceholder.applePayActive .saferPayOverlay {
    display:block;
}

/* ENDE Saferpay */

/* Adyen */

.adyenOverlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 5px 5px rgba(0,0,0,0.3);
    display: none;
}

#adyenPlaceholder.applePayActive .adyenOverlay {
    display: block;
}

/* ENDE Adyen */
/* ApplePay */
apple-pay-button {
    --apple-pay-button-width: 140px;
    --apple-pay-button-height: 30px;
    --apple-pay-button-border-radius: 5px;
    --apple-pay-button-padding: 5px 0px;
}
/* ENDE ApplePay */

.myGridEditFormPopup {
    min-width:75%;
}

@media (max-width: 990px) {
    img.appleCareLogo {
        position: relative !important;
        right:initial !important;
        left: calc(100% - 100px);
    }
}